New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

install npm modules:binaries not found for fsevents@1.1.2 and node@9.3.0 #1474

Closed
realXuJiang opened this Issue Jan 2, 2018 · 7 comments

Comments

Projects
None yet
2 participants
@realXuJiang

realXuJiang commented Jan 2, 2018

Hi,build exec npm i , An error is as follows,change fsevents@1.1.3 resolve:

> fsevents@1.1.2 install /data/github/ngx-admin/node_modules/fsevents
> node install

node-pre-gyp ERR! Tried to download(404): https://fsevents-binaries.s3-us-west-2.amazonaws.com/v1.1.2/fse-v1.1.2-node-v59-darwin-x64.tar.gz

node-pre-gyp ERR! Pre-built binaries not found for fsevents@1.1.2 and node@9.3.0 (node-v59 ABI) (falling back to source compile with node-gyp)
@nnixaa

This comment has been minimized.

Show comment
Hide comment
@nnixaa

nnixaa Jan 3, 2018

Collaborator

Hi @realXuJiang, could you please specify your npm version?

Collaborator

nnixaa commented Jan 3, 2018

Hi @realXuJiang, could you please specify your npm version?

@realXuJiang

This comment has been minimized.

Show comment
Hide comment
@realXuJiang

realXuJiang Jan 4, 2018

Hi @nnixaa , the npm what I use is 5.6.0, and as follow is the report error screenshot

➜ /data/github/ngx-admin git:(master) npm -v
5.6.0
➜ /data/github/ngx-admin git:(master) node -v
v9.3.0

1 npm i make 2018-01-04 11-13-03

realXuJiang commented Jan 4, 2018

Hi @nnixaa , the npm what I use is 5.6.0, and as follow is the report error screenshot

➜ /data/github/ngx-admin git:(master) npm -v
5.6.0
➜ /data/github/ngx-admin git:(master) node -v
v9.3.0

1 npm i make 2018-01-04 11-13-03

@nnixaa

This comment has been minimized.

Show comment
Hide comment
@nnixaa

nnixaa Jan 4, 2018

Collaborator

Just tried and cannot reproduce, could you remove node_modules folder, remove npm cache and try npm i again?

Collaborator

nnixaa commented Jan 4, 2018

Just tried and cannot reproduce, could you remove node_modules folder, remove npm cache and try npm i again?

@realXuJiang

This comment has been minimized.

Show comment
Hide comment
@realXuJiang

realXuJiang Jan 5, 2018

I have tried like this,remove node_modules and npm cach,but still have the problem.

realXuJiang commented Jan 5, 2018

I have tried like this,remove node_modules and npm cach,but still have the problem.

@nnixaa

This comment has been minimized.

Show comment
Hide comment
@nnixaa

nnixaa Jan 5, 2018

Collaborator

Well, this doesn't look like the issue with ngx-admin itself as this is just an angular application. Have you tried creating an empty angular app separately?

Collaborator

nnixaa commented Jan 5, 2018

Well, this doesn't look like the issue with ngx-admin itself as this is just an angular application. Have you tried creating an empty angular app separately?

@realXuJiang

This comment has been minimized.

Show comment
Hide comment
@realXuJiang

realXuJiang Jan 5, 2018

Thanks for your help , recently I use ngx-admin to develop application, and all the problem disappeared after I change fsevents to version 1.1.3, the app you provide is awesome , thanks again .

realXuJiang commented Jan 5, 2018

Thanks for your help , recently I use ngx-admin to develop application, and all the problem disappeared after I change fsevents to version 1.1.3, the app you provide is awesome , thanks again .

@nnixaa

This comment has been minimized.

Show comment
Hide comment
@nnixaa

nnixaa Jan 5, 2018

Collaborator

 Glad to hear that!

Collaborator

nnixaa commented Jan 5, 2018

 Glad to hear that!

@nnixaa nnixaa closed this Jan 5, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment